## NAME

v.net.components - Computes strongly and weakly connected components in the network.

## KEYWORDS

vector, network, components

## SYNOPSIS

v.net.components
v.net.components help
v.net.components [-a] input=name [layer=integer] output=name method=string [--overwrite] [--verbose] [--quiet]

### Flags:

-a
  Add points on nodes
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input vector map
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
output=name
  Name for output vector map
method=string
  Type of components
  Options: weak,strong
  weak: Weakly connected components
  strong: Strongly connected components

## DESCRIPTION

v.net.components computes the weakly and strongly connected components in a network.

## NOTES

Two nodes, u and v are in the same strongly connected component if there are directed paths from u to v and from v to u. The nodes are in the same weakly connected component if, ignoring orientation of the edges, there is a path between them.
The type of components is specified by method parameter. v.net.components creates a table and links it to the given layer. This table contains only two integer columns: cat and comp . If a point or both endpoints of a line belong to the same component then the point/line is written to the output map and appropriate information is stored in the table. If -a flag is set then new points are added on the nodes without points. These points have category numbers larger than any category used in the input map.

## EXAMPLES

Any road network should form a single strongly connected component. Otherwise, it is impossible to travel between some places.

    v.net.components input=roads output=roads_components method=strong

## SEE ALSO

v.net, v.category,

## AUTHORS

Daniel Bundala, Google Summer of Code 2009, Student
Wolf Bergenheim, Mentor

Last changed: $Date: 2013-05-23 22:01:55 +0200 (čt, 23 V 2013) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team